new_ntp_screenshot

Netscape esaslı eklentilere engelleme

İnternet tarayıcılara üçüncü parti eklentileri eklediğimiz dönemin sonuna doğru yaklaşıyoruz. Microsoft’a bakarsak Internet Explorer 10’un Windows 8 Modern uyumlu versiyonunda eklenti desteği olmadığını görebiliriz. Google’dan gelen yeni açıklamaya göre gelecek sürüm Chrome ile Netscape API’sini esas alan eklentiler çalıştırılamaz hale gelecek.

new_ntp_screenshot

Modern internet tarayıcılar hızlı, güvenli ve eksi sürümlere kıyasla çok daha fazla özellik içeriyor. 90’lı yıllarda popüler olan Netscape API programlama arabirimini esas alan internet tarayıcı eklentilerinden dolayı tarayıcılarda donma, çökme sorunları yaşanabiliyor, güvenlik açığı ortaya çıkıyor ve yapı karmaşık hale geliyor. Chrome, bu nedenden ötürü gelecek sürümlerde NPAPI desteğine son verecek.

Daha şimdiden ilk adım atıldı. Artık NPAPI esaslı olan internet tarayıcı eklentileri Chrome Web Store ortamına eklenemiyor. Şu anda dağıtımda olan NPAPI esaslı eklentiler içinse geliştiriciler 2014 yılının Mayıs ayına kadar güncelleme yetkisine sahip. 1 sene sonra NPAPI esaslı olan tüm eklentiler Chrome Web Store alanından silinecek. Ocak 2014’te sunulacak olan yeni Chrome sürümü, bu tür eklentileri otomatik olarak engelleyecek. Şimdilik özrü kabul edilecek olan eklentilerse Sliverlight, Unity, Google Earth, Java, Google Talk ve Facebook Talk.

Yorum yazın